Skip to Content

Moving groups of patterns on time line`

5 replies [Last post]
pkbarbiedoll
Offline
Joined: 04/17/2010

I started working on covering an old song of mine and realized that my choruses are twice as short as they need to be. 

Is there an easy way of selecting & moving an entire group of patterns in the timeline?  Otherwise, it looks like I'll have to select/deselect every pattern on the timeline one at a time :(

Help a girl?

 

mauser
Offline
Joined: 03/30/2010

Hi!

Yes, there is a selection tool.. Have a look at the buttons left to the song editor. Its the button with the dotted lines. Also desribed in the manual: http://www.hydrogen-music.org/hcms/node/5#sect.song_editor

pkbarbiedoll
Offline
Joined: 04/17/2010

Thanks!

Tchandra
Offline
Joined: 01/12/2013

When I use this tool to translate some patterns, the result is quite strange...

 

Let's assume that I have the pattern A on bars 10, 11 and 12, and the pattern B (the line below) on bars 13 and 14. Now, I want to translate these five bars one bar to the left, so as to have the whole group starting on bar 9 : so I select the five "blue squares", I translate them to the left and... instead of having the pattern A on bars 9, 10, and 11 and the pattern B on bars 12 and 13, I have : pattern A on bar 9, pattern B on bar 12, and blank elsewhere ! It seems that moving a "blue square" on another "blue square" deletes it instead of letting the pattern active...

 

I did not find any mention of that in the bugtracker, so maybe it is done on purpose (?), but that is not convenient at all !

 

(I use hydrogen 0.9.6 svn and ubuntu 12.04.1 LTS)

 

mauser
Offline
Joined: 03/30/2010

I think this bug is already fixed in our recent version.. If you want to try it, you can find a tutorial how to build it in our development wiki: http://trac.assembla.com/hydrogen/wiki/development%3Aqt4compile

Tchandra
Offline
Joined: 01/12/2013

You mean I don't have the last release ? 

Sorry, I don't like to install a software with the terminal, I use synaptic, the debian package manager in ubuntu.

Is there a repository that I can select to be sure to have your recent version ?